Bug 1009395 - [abrt] evolution-data-server-3.8.5-4.fc19: __memset_sse2: Process /usr/libexec/evolution-calendar-factory was killed by signal 11 (SIGSEGV)
[abrt] evolution-data-server-3.8.5-4.fc19: __memset_sse2: Process /usr/libexe...
Status: CLOSED DUPLICATE of bug 1013213
Product: Fedora
Classification: Fedora
Component: evolution-data-server (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:113272c03973fa95f36b3996561...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 06:56 EDT by Reinout van Schouwen
Modified: 2014-06-12 03:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-12 03:01:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (90.39 KB, text/plain)
2013-09-18 06:56 EDT, Reinout van Schouwen
no flags Details
File: cgroup (139 bytes, text/plain)
2013-09-18 06:56 EDT, Reinout van Schouwen
no flags Details
File: core_backtrace (49.66 KB, text/plain)
2013-09-18 06:56 EDT, Reinout van Schouwen
no flags Details
File: dso_list (22.64 KB, text/plain)
2013-09-18 06:56 EDT, Reinout van Schouwen
no flags Details
File: environ (1.19 KB, text/plain)
2013-09-18 06:56 EDT, Reinout van Schouwen
no flags Details
File: exploitable (83 bytes, text/plain)
2013-09-18 06:56 EDT, Reinout van Schouwen
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-18 06:56 EDT, Reinout van Schouwen
no flags Details
File: maps (104.11 KB, text/plain)
2013-09-18 06:57 EDT, Reinout van Schouwen
no flags Details
File: open_fds (731 bytes, text/plain)
2013-09-18 06:57 EDT, Reinout van Schouwen
no flags Details
File: proc_pid_status (941 bytes, text/plain)
2013-09-18 06:57 EDT, Reinout van Schouwen
no flags Details

  None (edit)
Description Reinout van Schouwen 2013-09-18 06:56:37 EDT
Description of problem:
Imported an ics attachment received by mail.

Version-Release number of selected component:
evolution-data-server-3.8.5-4.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/libexec/evolution-calendar-factory
crash_function: __memset_sse2
executable:     /usr/libexec/evolution-calendar-factory
kernel:         3.10.10-200.fc19.x86_64
runlevel:       N 5
uid:            500

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __memset_sse2 at ../sysdeps/x86_64/memset.S:334
 #1 memset at /usr/include/bits/string3.h:84
 #2 e_memchunk_alloc0 at e-memory.c:151
 #3 e_sexp_result_new at e-sexp.c:191
 #4 e_sexp_term_eval at e-sexp.c:751
 #7 e_sexp_eval at e-sexp.c:1698
 #8 e_cal_backend_sexp_match_comp at e-cal-backend-sexp.c:1254
 #9 e_data_cal_view_component_matches at e-data-cal-view.c:966
 #10 e_cal_backend_notify_component_created at e-cal-backend.c:1750
 #11 put_server_comp_to_cache at e-cal-backend-caldav.c:3159
Comment 1 Reinout van Schouwen 2013-09-18 06:56:40 EDT
Created attachment 799317 [details]
File: backtrace
Comment 2 Reinout van Schouwen 2013-09-18 06:56:44 EDT
Created attachment 799318 [details]
File: cgroup
Comment 3 Reinout van Schouwen 2013-09-18 06:56:47 EDT
Created attachment 799319 [details]
File: core_backtrace
Comment 4 Reinout van Schouwen 2013-09-18 06:56:50 EDT
Created attachment 799320 [details]
File: dso_list
Comment 5 Reinout van Schouwen 2013-09-18 06:56:53 EDT
Created attachment 799321 [details]
File: environ
Comment 6 Reinout van Schouwen 2013-09-18 06:56:56 EDT
Created attachment 799322 [details]
File: exploitable
Comment 7 Reinout van Schouwen 2013-09-18 06:56:58 EDT
Created attachment 799323 [details]
File: limits
Comment 8 Reinout van Schouwen 2013-09-18 06:57:02 EDT
Created attachment 799324 [details]
File: maps
Comment 9 Reinout van Schouwen 2013-09-18 06:57:05 EDT
Created attachment 799325 [details]
File: open_fds
Comment 10 Reinout van Schouwen 2013-09-18 06:57:07 EDT
Created attachment 799326 [details]
File: proc_pid_status
Comment 11 Milan Crha 2013-09-18 13:45:14 EDT
Thanks for a bug report. I see that the Google backend was asked for a component, which it did not find, thus it asked the Google server and it found it, and while the CalDAV backend tried to put the just downloaded component into its local cache a crash happened. Are you able to reproduce the crash with the ics attachment email consistently? If I understand the consequences correctly, then you just selected the message in evolution, which recognized an iCalendar attachment, and it tried to find it in your calendars.
Comment 12 Reinout van Schouwen 2014-06-11 17:27:05 EDT
I am sorry, I am using a newer version nowadays and don't recall which email caused the crash.
Comment 13 Milan Crha 2014-06-12 03:01:27 EDT
Thanks for an update. I realized there had been filled another similar bug report meanwhile, which was moved upstream, thus let's move there too.

*** This bug has been marked as a duplicate of bug 1013213 ***

Note You need to log in before you can comment on or make changes to this bug.